#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 12:50
# @File        : __init__.py
# @Description :
"""


from flask import Flask

from .init_apispec import init_apispec
from .init_apscheduler import init_tasks
from .init_config import init_config
from .init_consul import init_consul
from .init_cors import init_cors
from .init_dotenv import init_dotenv
from .init_elasticsearch import init_elasticsearch
from .init_logger import init_logger
from .init_sqlalchemy import init_database


def init_plugs(app: Flask) -> None:
    init_dotenv()
    init_config(app)
    init_logger(app)
    init_database(app)
    init_apispec(app)
    init_elasticsearch(app)
    init_cors(app)
    init_consul(app)
    init_tasks(app)
